SDL_net: libtool upgrade to 2.4.6 - 13/n: add mingw to systems not needing libm.

From 15dd462831dd7f4f7185f4c468e34310f9666978 Mon Sep 17 00:00:00 2001
From: Ozkan Sezer <[EMAIL REDACTED]>
Date: Thu, 2 Dec 2021 20:50:10 +0300
Subject: [PATCH] libtool upgrade to 2.4.6 - 13/n: add mingw to systems not
 needing libm.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=46559
---
 acinclude/libtool.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/acinclude/libtool.m4 b/acinclude/libtool.m4
index 027d08e..224bb68 100644
--- a/acinclude/libtool.m4
+++ b/acinclude/libtool.m4
@@ -3845,7 +3845,7 @@ AC_DEFUN([LT_LIB_M],
 [AC_REQUIRE([AC_CANONICAL_HOST])dnl
 LIBM=
 case $host in
-*-*-beos* | *-*-cegcc* | *-*-cygwin* | *-*-haiku* | *-*-pw32* | *-*-darwin*)
+*-*-beos* | *-*-cegcc* | *-*-cygwin* | *-*-haiku* | *-*-mingw* | *-*-pw32* | *-*-darwin*)
   # These system don't have libm, or don't need it
   ;;
 *-ncr-sysv4.3*)